Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160808 - Upgrade from FC3 + updates to FC4 doesn't update ImageMagick packages
Summary: Upgrade from FC3 + updates to FC4 doesn't update ImageMagick packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 13:39 UTC by Nils Philippsen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 16:45:52 UTC


Attachments (Terms of Use)

Description Nils Philippsen 2005-06-17 13:39:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When upgrading from an updated FC3 to FC4, the ImageMagick packages won't get updated because the RPM release of the FC4 packages is lower than that of the corresponding FC3 updates. This is particularly bad because that way the user misses all the security related goodies coming with gcc4.

Version-Release number of selected component (if applicable):
ImageMagick-6.2.2.0-2.fc3, ImageMagick-6.2.2.0-2

How reproducible:
Always

Steps to Reproduce:
1. Upgrade an updated FC3 with ImagMagick packages to FC4
  

Actual Results:  ImageMagick packages won't get updated

Expected Results:  ImageMagick packages get updated

Additional info:

When using disttags, ensure that the release tag of packages in a released version of the distribution are always lower than in Rawhide/devel. This can be achieved e.g. using one of these schemes for the release tag (with %dist being the distver tag, e.g. "fc3", "fc4" and %rel being the release nummber to base on, beware of pseudo code):

- the manual way: released distro: "0.%dist.%rel", Rawhide/devel "%rel"
- a variant, based on a distver being defined by the buildsystem (or in the spec file) for released distro versions but not in Rawhide/devel: "%{?dist:0.%dist.}%rel"


Note You need to log in before you can comment on or make changes to this bug.